Page MenuHomePhabricator

Migrate integration-zuul-layoutdiff and integration-zuul-layoutvalidation-gate jobs to Docker containers
Closed, ResolvedPublic

Description

integration/config triggers two jobs that are still on permanent slaves, they should be migrated to Docker containers:

integration-zuul-layoutdiff
integration-zuul-layoutvalidation-gate

Both jobs are used to validate the Zuul layout configuration file. Originally they ran on the CI master to have a guarantee the layout was tested using the same Zuul version we used in prod (/usr/bin/zuul).

Event Timeline

hashar created this task.Nov 23 2018, 1:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 23 2018, 1:31 PM
greg triaged this task as Normal priority.Nov 29 2018, 4:43 AM
hashar updated the task description. (Show Details)Jan 10 2019, 10:26 AM

Change 483450 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Port zuul layout related jobs to Docker

https://gerrit.wikimedia.org/r/483450

Change 483450 merged by jenkins-bot:
[integration/config@master] Port zuul layout related jobs to Docker

https://gerrit.wikimedia.org/r/483450

That went "easier" than expected. I probably should add some kind of documentation to the README file. The logic is extracted to shell scripts so one can easily validate the Zuul layout file or do a diff. See ./utils/.

I guess I will switch them tomorrow.

Change 484237 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update Zuul messages/rules for integration/config jobs

https://gerrit.wikimedia.org/r/484237

Change 484237 merged by jenkins-bot:
[integration/config@master] Update Zuul messages/rules for integration/config jobs

https://gerrit.wikimedia.org/r/484237

Change 484238 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Use Docker jobs for integration/config

https://gerrit.wikimedia.org/r/484238

Change 484240 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] utils/zuul-layout-diff.sh: exit 1 on difference

https://gerrit.wikimedia.org/r/484240

Change 484240 merged by jenkins-bot:
[integration/config@master] utils/zuul-layout-diff.sh: exit 1 on difference

https://gerrit.wikimedia.org/r/484240

Change 484238 merged by jenkins-bot:
[integration/config@master] Use Docker jobs for integration/config

https://gerrit.wikimedia.org/r/484238

hashar closed this task as Resolved.Jan 14 2019, 5:21 PM